Bug 1252542 - [QE] Wrong default value of option principalClass in AbstractServerLoginModule
[QE] Wrong default value of option principalClass in AbstractServerLoginModule
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity high
: post-GA
: ---
Assigned To: Priyanka Nag
Ondrej Lukas
https://access.stage.redhat.com/docum...
: Documentation, EasyFix, Triaged
Depends On:
Blocks: 1233012
  Show dependency treegraph
 
Reported: 2015-08-11 12:19 EDT by Ondrej Lukas
Modified: 2015-10-20 08:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 08:59:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Lukas 2015-08-11 12:19:46 EDT
Book: Login Module Reference
Revision: n_1575841_login-module-reference_version_6.4_edition_1.0_release_0-revision_6701191
Section: ABSTRACT LOGIN MODULES

Issue description:
There is option principalClass in table for AbstractServerLoginModule options with default value "none". However default value of this option is currently "org.jboss.security.SimplePrincipal".

Suggestions for improvement:
Change principalClass default value from "none" to "org.jboss.security.SimplePrincipal".
Comment 3 Ondrej Lukas 2015-08-21 04:46:23 EDT
Verified in revision "n_1601531_login-module-reference_version_6.4_edition_1.0_release_0-revision_6805721" of https://access.stage.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/login-module-reference

Note You need to log in before you can comment on or make changes to this bug.